# $Revision: 1.4.2.1 $, $Date: 2007/03/18 15:50:45 $
Summary:	audioscrobbler.com plugin for Beep Media Player
Summary(pl):	Wtyczka dla Beep Media Playera obsugujca serwis audioscrobbler.com
Name:		bmp-general-audioscrobbler
Version:	0.3.6
Release:	3
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://static.audioscrobbler.com/plugins/xmms-scrobbler-%{version}.tar.bz2
# Source0-md5:	eb5b53815eb91f5294f76ca424369b7f
URL:		http://www.audioscrobbler.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	glib-devel
BuildRequires:	gtk+-devel
BuildRequires:	libmusicbrainz-devel >= 2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	bmp-devel >= 1:0.9.7-1.rc2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		bmp_general_plugindir %{_libdir}/bmp/General

%description
This plugin adds audioscrobbler.com profile support to Beep Media
Player.

%description -l pl
Ta wtyczka pozwala Beep Media Playerowi na obsug profili
audioscrobbler.com .

%prep
%setup -q -n xmms-scrobbler-%{version}

%build
#%{__aclocal}
#%{__autoconf}
#%{__autoheader}
#%{__automake}
%configure \
	--disable-xmms-plugin

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{bmp_general_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bmp-general-audioscrobbler.spec,v $
Revision 1.4.2.1  2007/03/18 15:50:45  glen
- rel 3 (curl)

Revision 1.4  2005/06/08 14:40:34  zbyniu
- BR: pkgconfig

Revision 1.3  2005/01/16 00:26:05  patrys
- rel. up to 2
- fixed building of xmms and bmp plugin separately

Revision 1.2  2005/01/12 19:15:31  ankry
- formatting

Revision 1.1  2005/01/12 17:58:48  patrys
- Initial PLD release
- remove the old version from bmp-extra-plugins
